name    = autodie
author  = Paul Fenwick <pjf@cpan.org>
license = Perl_5
copyright_holder = Paul Fenwick and others (see AUTHORS file)

[Git::NextVersion]
[NextRelease]

[MetaJSON]
[MetaResources]
repository.url  = git://github.com/pjf/autodie
repository.web  = https://github.com/pjf/autodie
repository.type = git

bugtracker.web  = http://rt.cpan.org/NoAuth/Bugs.html?Dist=autodie

[DualLife]
; autodie.pm entered in 5.010001, but we need to handle Fatal.pm as well
entered_core = 5.00307

[Test::Perl::Critic]
[PodCoverageTests]
[PodSyntaxTests]

; DIY Basic, because we don't want the Readme plugin.

[GatherDir]
[PruneCruft]
[ManifestSkip]
[MetaYAML]
[License]
[RunExtraTests]
[MakeMaker]
[Manifest]
[TestRelease]
[ConfirmRelease]
[UploadToCPAN]

[AutoPrereqs]
; Skip Klingon testing pre-reqs. They're included in the test dir.
skip = ^pujHa

; We'll specify our own minimum version of Perl, thanks!
skip = ^perl$

[Prereqs]
; I'm really sorry, if you're using something older than 5.8.4, you
; really want to upgrade your Perl distro.
perl = 5.008004

[Prereqs / TestRecommends]
perl = 5.010
Import::Into = 1.002004

[Prereqs / RuntimeRecommends]
perl = 5.010
IPC::System::Simple = 0.12

[Prereqs::Soften]
copy_to = develop.requires
to_relationship = recommends
; Some modules are nice to have, but not required.
module = IPC::System::Simple
module = Sub::Identify
; optional testing modules
module = BSD::Resource
module = Import::Into

[OurPkgVersion]
[CPANFile]
[@Git]